Building Applications for Symbian1 with Qt SDK 1.1/bg

From Qt Wiki
Jump to: navigation, search
IMPORTANT: The content of this page is outdated. Reason: The Symbian platform is no longer supported.
If you have checked or updated this page and found the content to be suitable, please remove this notice.
This article may require cleanup to meet the Qt Wiki's quality standards. Reason: Auto-imported from ExpressionEngine.
Please improve this article if you can. Remove the {{cleanup}} tag and add this page to Updated pages list after it's clean.


Български English

Създаване на приложения за Symbian^1 с Qt SDK 1.1

Описание

Поради бъг в Qt SDK 1.1 qmake генерира pkg файлове, които не включват поддръжка на Symbian^1 (Symbian S60 5th Edition). В резултат на това се появява предупреждение за несъвместимост по време на инсталацията на sis файла на приложението за Symbian^1 устройства и приложението не може да бъде публикувано за тях в Nokia Ovi Store.

Заобиколно решение

Проблемът все още не е генерално разрешен, но съществува вариант за избягването му. За да го оправите отворете 1Qt473\mkspecsfeatures\symbian\default_post.prf и заменете следния код:

# Supports Symbian^3 and Symbian^4 by default and also S60 3.1, 3.2, and 5.0 if built against any of those.
platform_product_id = S60ProductID
platform_product_id = $$addLanguageDependentPkgItem(platform_product_id)
pkg_platform_dependencies =  "; Default HW/platform dependencies"  "[0x20022E6D],0,0,0,{$$platform_product_id}"  "[0x20032DE7],0,0,0,{$$platform_product_id}"
contains(S60_VERSION, 3.1)|contains(S60_VERSION, 3.2)|contains(S60_VERSION, 5.0) {
 pkg_platform_dependencies +=  "[0x102032BE],0,0,0,{$$platform_product_id}"  "[0x102752AE],0,0,0,{$$platform_product_id}"  "[0x1028315F],0,0,0,{$$platform_product_id}"
}

с:

# Supports Symbian^1, Symbian^3 and Symbian^4
platform_product_id = S60ProductID
platform_product_id = $$addLanguageDependentPkgItem(platform_product_id)
pkg_platform_dependencies =  "; Default HW/platform dependencies"  "; Symbian^1 (aka S60 5th Edition) "  "[0x1028315F],0,0,0,{$$platform_product_id}"  "; Symbian^3"  "[0x20022E6D],0,0,0,{$$platform_product_id}"  "; Symbian^4"  "[0x20032DE7],0,0,0,{$$platform_product_id}"

Промененият код ще Ви позволи да създавате приложения, съвместими със Symbian^1 (Symbian S60 5th Edition), Symbian^3 и Symbian^4.

Вижте още

S60_VERSION and SYMBIAN_VERSION qmake variables are Unknown in Symbian^1 builds